com.pivotal.gemfirexd.internal.client.am

## Class Utils

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.Utils

    public final class Utils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Utils()`

### Method Summary

Methods
`static SqlException` `accumulateSQLException(SqlException latestException, SqlException accumulatedExceptions)`
`static SQLException` `accumulateSQLException(SQLException latestException, SQLException accumulatedExceptions)`
`static SqlWarning` `accumulateSQLWarning(SqlWarning latestException, SqlWarning accumulatedExceptions)`
`static void` `checkForNegativePositiveSqlcard(Sqlca sqlca, ResultSet resultSet)`
`static void` `checkForNegativePositiveSqlcard(Sqlca sqlca, Statement statement)`
`static int` `computeBigDecimalPrecision(BigDecimal decimal)`
`static int` `getNonNullableSqlType(int sqlType)`
`static int` `getSqlcodeFromSqlca(Sqlca sqlca)`
`static int` `getUpdateCountFromSqlcard(Sqlca sqlca)`
`static boolean` `isSqlTypeNullable(int sqlType)`
`static int` `max(int i, int j)`
`static int` `min(int i, int j)`
`static String` `padOrTruncate(String s, int fixedLength)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Utils

    public Utils()

### Method Detail

#### computeBigDecimalPrecision

    public static int computeBigDecimalPrecision(BigDecimal decimal)

#### padOrTruncate

    public static String padOrTruncate(String s,
                       int fixedLength)

#### checkForNegativePositiveSqlcard

    public static void checkForNegativePositiveSqlcard(Sqlca sqlca,
                                       Statement statement)
                                                throws SqlException

Throws:
  `SqlException`

#### checkForNegativePositiveSqlcard

    public static void checkForNegativePositiveSqlcard(Sqlca sqlca,
                                       ResultSet resultSet)
                                                throws SqlException

Throws:
  `SqlException`

#### getSqlcodeFromSqlca

    public static int getSqlcodeFromSqlca(Sqlca sqlca)

#### getUpdateCountFromSqlcard

    public static int getUpdateCountFromSqlcard(Sqlca sqlca)

#### min

    public static int min(int i,
          int j)

#### max

    public static int max(int i,
          int j)

#### accumulateSQLException

    public static SQLException accumulateSQLException(SQLException latestException,
                                      SQLException accumulatedExceptions)

#### accumulateSQLException

    public static SqlException accumulateSQLException(SqlException latestException,
                                      SqlException accumulatedExceptions)

#### accumulateSQLWarning

    public static SqlWarning accumulateSQLWarning(SqlWarning latestException,
                                  SqlWarning accumulatedExceptions)

#### isSqlTypeNullable

    public static boolean isSqlTypeNullable(int sqlType)

#### getNonNullableSqlType

    public static int getNonNullableSqlType(int sqlType)